/*
 *   Copyright (c) 2005 - 2011 by Thanos Kyritsis
 *
 *   This file is part of ffpocket
 *
 *   FFpocket is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 2 of the License.
 *
 *   FFpocket is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with FFpocket; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */


#include "ffdecode.h"


void ff_display_decoding_progress(long long int timepos, int counter) {
	int hours, mins, secs, us;
	secs = timepos / AV_TIME_BASE;
	us = timepos % AV_TIME_BASE;
	mins = secs / 60;
	secs %= 60;
	hours = mins / 60;
	mins %= 60;
	fprintf(stderr, "Decoding at Time: %02d:%02d:%02d.%01d  Frame: %06d  \r",
		hours, mins, secs, (10 * us) / AV_TIME_BASE, counter);
	fflush(stderr);
}

